= a·muse
apiote <me@apiote.xyz>
v0.4.0 (Dish of the Day) 2020-11-25
:toc:

a·muse is a no-JavaScript frontend for The Movie Database. It is also a system that connects films with books which the former are based on, thanks to using data from Wikidata. Finally, a·muse is also a place to collect ideas which films, books, and series watch or read next, and which of those have already been watched or read.

== Name

The name of the system is ‘a·muse.’ The name of the program, command, any package is ‘amuse.’

Both are pronounced the same–[æˈʔmjuːz].

It’s a play of words—‘amuse’ as a verb, and ‘a muse’ as a goddess.

== Building

To build version 0.4.x, You need:

* `go>=1.11`
* `resvg`
* `cwebp`
* `mk`

Then, all You have to do is run `mk`, and—optionally—`mk install`

== Running

----
Usage of ./amuse:
  -a string
      address to run amuse on
  -c string
      configPath (default "/etc/amuse.toml")
  -d string
      data directory
  -m string
      manage command
  -p int
      port to run amuse on
----

== Configuration

a·muse can be configured with command line arguments or with configuration file. Example configuration file can be found in `example.toml`. The only mandatory field is `TmdbApiKey`

== Contribute

This project uses The Code of Merit, which is available as CODE_OF_CONDUCT file.

The roadmap is available in `CHANGELOG.adoc` file and—although it’s not set in stone—feature requests are highly discouraged. Contributions, however, are welcome as patches; please send them to `amuse@git.apiote.xyz` using `git send-email`. Patches must include a sign-off to certify agreement to https://developercertificate.org/[Developer Certificate of Origin].

If You want to translate a·muse, translate strings in `i18n/default.toml` and send patch, or share the translated file in any other way. The translated file must be named `tag.toml`, where `tag` is the language tag of the translation. Translations don’t have to be full; a·muse falls back to default (en-GB) when strings are missing.

All communication—questions, bugs, etc.—should go through the mailing list available at `amuse@git.apiote.xyz`. Note that all communication will be made public at https://asgard.apiote.xyz/.

This project uses https://nvie.com/posts/a-successful-git-branching-model/[nvie’s branching model].

== Mirrors

The canonical repository for this project is https://git.apiote.xyz/amuse.git it’s mirrored at https://notabug.org/apiote/amuse

Mirrors exist solely for the sake of the code and any additional functions provided by third-party services (including but not limited to issues and pull requests) will not be used and will be ignored.

== License

----
amuse Copyright (C) 2019–2022 apiote

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with this program.  If not, see <https://www.gnu.org/licenses/>.
----
